org.jboss.jca.core.spi.mdr

## Interface MetadataRepository

-     public interface MetadataRepository

  The SPI for the metadata repository
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.jca.common.api.metadata.resourceadapter.Activation` | `getActivation(java.lang.String uniqueId)` Get the Activation metadata for a resource adapter deployment
    `java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getJndiMappings(java.lang.String uniqueId)` Get the JNDI mappings for a unique id
    `org.jboss.jca.common.api.metadata.spec.Connector` | `getResourceAdapter(java.lang.String uniqueId)` Get the metadata for a resource adapter
    `java.util.Set<java.lang.String>` | `getResourceAdapters()` Get the resource adapters unique ids registered
    `java.io.File` | `getRoot(java.lang.String uniqueId)` Get the root for a resource adapter deployment
    `boolean` | `hasJndiMappings(java.lang.String uniqueId)` Check if there exists JNDI mappings for a unique id
    `boolean` | `hasResourceAdapter(java.lang.String uniqueId)` Check if there exists a resource adapter for a unique id
    `void` | `registerJndiMapping(java.lang.String uniqueId, java.lang.String clz, java.lang.String jndi)` Register a JNDI mapping for a unique id
    `void` | `registerResourceAdapter(java.lang.String uniqueId, java.io.File root, org.jboss.jca.common.api.metadata.spec.Connector md, org.jboss.jca.common.api.metadata.resourceadapter.Activation a)` Register a resource adapter template
    `void` | `unregisterJndiMapping(java.lang.String uniqueId, java.lang.String clz, java.lang.String jndi)` Unregister a JNDI mapping for a unique id
    `void` | `unregisterResourceAdapter(java.lang.String uniqueId)` Unregister a resource adapter template

- - ### Method Detail

    - #### registerResourceAdapter

          void registerResourceAdapter(java.lang.String uniqueId,
                                       java.io.File root,
                                       org.jboss.jca.common.api.metadata.spec.Connector md,
                                       org.jboss.jca.common.api.metadata.resourceadapter.Activation a)
                                throws AlreadyExistsException

      Register a resource adapter template
      Parameters:
        `uniqueId` - An unique id that represents the deployment
        `root` - The deployment root
        `md` - The connector metadata
        `a` - The Activation metadata
      Throws:
        `AlreadyExistsException` - Thrown if the unique id is already registered

    - #### unregisterResourceAdapter

          void unregisterResourceAdapter(java.lang.String uniqueId)
                                  throws NotFoundException

      Unregister a resource adapter template
      Parameters:
        `uniqueId` - An unique id that represents the deployment
      Throws:
        `NotFoundException` - Thrown if the unique id isn't registered

    - #### hasResourceAdapter

          boolean hasResourceAdapter(java.lang.String uniqueId)

      Check if there exists a resource adapter for a unique id
      Parameters:
        `uniqueId` - An unique id that represents the deployment
      Returns:
        True if there is a resource adapter; otherwise false

    - #### getResourceAdapter

          org.jboss.jca.common.api.metadata.spec.Connector getResourceAdapter(java.lang.String uniqueId)
                                                                       throws NotFoundException

      Get the metadata for a resource adapter
      Parameters:
        `uniqueId` - An unique id that represents the deployment
      Returns:
        The metadata
      Throws:
        `NotFoundException` - Thrown if the unique id isn't registered

    - #### getResourceAdapters

          java.util.Set<java.lang.String> getResourceAdapters()

      Get the resource adapters unique ids registered
      Returns:
        The unique ids

    - #### getRoot

          java.io.File getRoot(java.lang.String uniqueId)
                        throws NotFoundException

      Get the root for a resource adapter deployment
      Parameters:
        `uniqueId` - An unique id that represents the deployment
      Returns:
        The root
      Throws:
        `NotFoundException` - Thrown if the unique id isn't registered

    - #### getActivation

          org.jboss.jca.common.api.metadata.resourceadapter.Activation getActivation(java.lang.String uniqueId)
                                                                              throws NotFoundException

      Get the Activation metadata for a resource adapter deployment
      Parameters:
        `uniqueId` - An unique id that represents the deployment
      Returns:
        The metadata
      Throws:
        `NotFoundException` - Thrown if the unique id isn't registered

    - #### registerJndiMapping

          void registerJndiMapping(java.lang.String uniqueId,
                                   java.lang.String clz,
                                   java.lang.String jndi)

      Register a JNDI mapping for a unique id
      Parameters:
        `uniqueId` - An unique id that represents the deployment
        `clz` - The fully qualified class name
        `jndi` - The JNDI name

    - #### unregisterJndiMapping

          void unregisterJndiMapping(java.lang.String uniqueId,
                                     java.lang.String clz,
                                     java.lang.String jndi)
                              throws NotFoundException

      Unregister a JNDI mapping for a unique id
      Parameters:
        `uniqueId` - An unique id that represents the deployment
        `clz` - The fully qualified class name
        `jndi` - The JNDI name
      Throws:
        `NotFoundException` - Thrown if the unique id isn't registered

    - #### hasJndiMappings

          boolean hasJndiMappings(java.lang.String uniqueId)

      Check if there exists JNDI mappings for a unique id
      Parameters:
        `uniqueId` - An unique id that represents the deployment
      Returns:
        True if there are mappings; otherwise false

    - #### getJndiMappings

          java.util.Map<java.lang.String,java.util.List<java.lang.String>> getJndiMappings(java.lang.String uniqueId)
                                                                                    throws NotFoundException

      Get the JNDI mappings for a unique id
      Parameters:
        `uniqueId` - An unique id that represents the deployment
      Returns:
        The mappings
      Throws:
        `NotFoundException` - Thrown if the unique id isn't registered

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)